nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
nx::sdk::cloud_storage::BookmarkFilter Struct Reference

`#include <data.h>`

## Public Types
enum | SortColumn { name, startTime, duration, creationTime, tags, description }

## Public Member Functions
| BookmarkFilter (const char *urlParams) noexcept(false)
| BookmarkFilter (const nx::kit::Json &json) noexcept(false)
template<typename T >
| BookmarkFilter (const T &)=delete
bool | operator== (const BookmarkFilter &) const
nx::kit::Json | to_json () const
std::string | toUrlParams () const

## Static Public Member Functions
static ValueOrError< BookmarkFilter > | fromUrlParams (const char *urlParams) noexcept
static ValueOrError< BookmarkFilter > | fromJson (const nx::kit::Json &json) noexcept
static std::string | sortColumnToString (SortColumn column)
static SortColumn | sortColumnFromString (const std::string &s)

## Public Attributes
std::optional< std::string > | id
std::optional< std::chrono::milliseconds > | startTimestamp
std::optional< std::chrono::milliseconds > | endTimestamp
std::optional< std::string > | text
std::optional< int > | limit
SortOrder | order = SortOrder::ascending
SortColumn | column = SortColumn::startTime
std::optional< std::chrono::milliseconds > | minVisibleLength
std::vector< std::string > | deviceIds
std::optional< std::chrono::milliseconds > | creationStartTimestamp
std::optional< std::chrono::milliseconds > | creationEndTimestamp

## Detailed Description

This filter will be passed to the plugin when bookmarks are queried by the Server. For processing example, refer to nx/sdk/cloud_storage/algorithm.cpp.

## Member Data Documentation

## ◆ minVisibleLength

std::optional<std::chrono::milliseconds> nx::sdk::cloud_storage::BookmarkFilter::minVisibleLength

Minimum bookmark duration time.

## ◆ text

std::optional<std::string> nx::sdk::cloud_storage::BookmarkFilter::text

Arbitrary text to search for within bookmark name or tag.

The documentation for this struct was generated from the following files:

- src/nx/sdk/cloud_storage/helpers/data.h
- src/nx/sdk/cloud_storage/helpers/data.cpp